TimePicker

TimePicker is a drop-down in SpreadJS that can be defined in JavaScript code with the style properties. This drop-down shows a different selection of times, which the developer specifies in terms of minimum, maximum, and step. This gives developers the ability to add a simple time picker to their workbook, which can be useful for creating user input forms. An example of the two different ways to display the time in the TimePicker are shown in the spreadsheet below.

The demo is being dynamically compiled to support real-time code editing... For quicker access to features, switch to the "JavaScript" tab for a smoother experience! :)
Description
app.js
index.html
styles.css
Copy to CodeMine

Drop-downs provide a developer the ability to add a drop-down menu with specific properties to cells in a workbook. These drop-down menus don't require any extra code other than simply specifying which one to use for the drop-down menu.

SpreadJS has 9 different kinds of drop-downs, and this demo shows how to use the Time Picker.

You can use the Time Picker drop-down with the following code :

    // The way of click the dropdown icon to open TimePicker.     
    var timePickerStyle = new GC.Spread.Sheets.Style();
    timePickerStyle.cellButtons = [
          {
              imageType: GC.Spread.Sheets.ButtonImageType.dropdown,
              command: "openTimePicker",
              useButtonStyle: true,
          }
      ];
      timePickerStyle.dropDowns = [
          {
              type: GC.Spread.Sheets.DropDownType.timePicker,
              option: {
                  min: { hour: 8 },
                  max: { hour: 19 },
                  step: { minute: 30 },
                  formatString: "h:mm AM/PM",
              }
          }
      ];
      sheet.setText(1, 5, "Time Picker");
      sheet.setStyle(2, 5, timePickerStyle);

      // The way just open TimePicker with command rather then clicking the dropdown button.
      spread.commandManager().execute({cmd:"openTimePicker",row:2,col:5,sheetName:"Sheet1"});

There are also some option items for customizing the TimePicker:

  • max: ITimePickerValue : The maximum value the time picker can display, the value needs the hour, minute and second attributes.
  • min: ITimePickerValue : The minimum value the time picker can display, the value needs the hour, minute and second attributes.
  • step: ITimePickerValue : The granularity the time picker can step through values.
  • formatString: string : Specify the format of the time item.
  • height: number : Specify the container of the time picker's size.
Drop-downs provide a developer the ability to add a drop-down menu with specific properties to cells in a workbook. These drop-down menus don't require any extra code other than simply specifying which one to use for the drop-down menu. SpreadJS has 9 different kinds of drop-downs, and this demo shows how to use the Time Picker. You can use the Time Picker drop-down with the following code : There are also some option items for customizing the TimePicker: max: ITimePickerValue : The maximum value the time picker can display, the value needs the hour, minute and second attributes. min: ITimePickerValue : The minimum value the time picker can display, the value needs the hour, minute and second attributes. step: ITimePickerValue : The granularity the time picker can step through values. formatString: string : Specify the format of the time item. height: number : Specify the container of the time picker's size.
var spreadNS = GC.Spread.Sheets; window.onload = function () { var spread = new GC.Spread.Sheets.Workbook(document.getElementById("ss")); initSpread(spread); }; function createPickerStyle(option) { var timePickerStyle = new GC.Spread.Sheets.Style(); timePickerStyle.cellButtons = [ { imageType: GC.Spread.Sheets.ButtonImageType.dropdown, command: "openTimePicker", useButtonStyle: true, } ]; timePickerStyle.dropDowns = [ { type: GC.Spread.Sheets.DropDownType.timePicker, option: option } ]; return timePickerStyle; } function initSpread(spread) { var sheet = spread.getSheet(0); sheet.suspendPaint(); sheet.setText(1, 3, "Time Picker"); sheet.setStyle(2, 3, createPickerStyle({ min: { hour: 8 }, max: { hour: 19 }, step: { minute: 30 }, formatString: "h:mm AM/PM", })); sheet.setText(1, 7, "Time Picker"); sheet.setStyle(2, 7, createPickerStyle({ min: { hour: 5 }, max: { hour: 20 }, step: { minute: 30 }, formatString: "h:mm:ss", height: 350 })); sheet.resumePaint(); spread.commandManager().execute({ cmd: "openTimePicker", row: 2, col: 3, sheetName: "Sheet1" }); }
<!doctype html> <html style="height:100%;font-size:14px;"> <head> <meta charset="utf-8" /> <meta name="viewport" content="width=device-width, initial-scale=1.0" /> <link rel="stylesheet" type="text/css" href="$DEMOROOT$/en/purejs/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css"> <script src="$DEMOROOT$/en/purejs/node_modules/@mescius/spread-sheets/dist/gc.spread.sheets.all.min.js" type="text/javascript"></script> <script src="$DEMOROOT$/spread/source/js/license.js" type="text/javascript"></script> <script src="app.js" type="text/javascript"></script> <link rel="stylesheet" type="text/css" href="styles.css"> </head> <body> <div class="sample-tutorial"> <div id="ss" style="width:100%; height: 100%"></div> </div> </body> </html>
.sample-tutorial { position: relative; height: 100%; overflow: hidden; } body { position: absolute; top: 0; bottom: 0; left: 0; right: 0; }

TimePicker

TimePicker is a drop-down in SpreadJS that can be defined in JavaScript code with the style properties. This drop-down shows a different selection of times, which the developer specifies in terms of minimum, maximum, and step. This gives developers the ability to add a simple time picker to their workbook, which can be useful for creating user input forms. An example of the two different ways to display the time in the TimePicker are shown in the spreadsheet below.

The demo is being dynamically compiled to support real-time code editing... For quicker access to features, switch to the "JavaScript" tab for a smoother experience! :)
Description
app.vue
index.html
Copy to CodeMine

Drop-downs provide a developer the ability to add a drop-down menu with specific properties to cells in a workbook. These drop-down menus don't require any extra code other than simply specifying which one to use for the drop-down menu.

SpreadJS has 9 different kinds of drop-downs, and this demo shows how to use the Time Picker.

You can use the Time Picker drop-down with the following code :

    // The way of click the dropdown icon to open TimePicker.     
    var timePickerStyle = new GC.Spread.Sheets.Style();
    timePickerStyle.cellButtons = [
          {
              imageType: GC.Spread.Sheets.ButtonImageType.dropdown,
              command: "openTimePicker",
              useButtonStyle: true,
          }
      ];
      timePickerStyle.dropDowns = [
          {
              type: GC.Spread.Sheets.DropDownType.timePicker,
              option: {
                  min: { hour: 8 },
                  max: { hour: 19 },
                  step: { minute: 30 },
                  formatString: "h:mm AM/PM",
              }
          }
      ];
      sheet.setText(1, 5, "Time Picker");
      sheet.setStyle(2, 5, timePickerStyle);

      // The way just open TimePicker with command rather then clicking the dropdown button.
      spread.commandManager().execute({cmd:"openTimePicker",row:2,col:5,sheetName:"Sheet1"});

There are also some option items for customizing the TimePicker:

  • max: ITimePickerValue : The maximum value the time picker can display, the value needs the hour, minute and second attributes.
  • min: ITimePickerValue : The minimum value the time picker can display, the value needs the hour, minute and second attributes.
  • step: ITimePickerValue : The granularity the time picker can step through values.
  • formatString: string : Specify the format of the time item.
  • height: number : Specify the container of the time picker's size.
Drop-downs provide a developer the ability to add a drop-down menu with specific properties to cells in a workbook. These drop-down menus don't require any extra code other than simply specifying which one to use for the drop-down menu. SpreadJS has 9 different kinds of drop-downs, and this demo shows how to use the Time Picker. You can use the Time Picker drop-down with the following code : There are also some option items for customizing the TimePicker: max: ITimePickerValue : The maximum value the time picker can display, the value needs the hour, minute and second attributes. min: ITimePickerValue : The minimum value the time picker can display, the value needs the hour, minute and second attributes. step: ITimePickerValue : The granularity the time picker can step through values. formatString: string : Specify the format of the time item. height: number : Specify the container of the time picker's size.
<template> <div class="sample-tutorial"> <gc-spread-sheets class="sample-spreadsheets" @workbookInitialized="initSpread"> </gc-spread-sheets> </div> </template> <script setup> import '@mescius/spread-sheets-vue' import { ref } from "vue"; import GC from "@mescius/spread-sheets"; const spreadRef = ref(null); function createPickerStyle(option) { let timePickerStyle = new GC.Spread.Sheets.Style(); timePickerStyle.cellButtons = [{ imageType: GC.Spread.Sheets.ButtonImageType.dropdown, command: "openTimePicker", useButtonStyle: true, }]; timePickerStyle.dropDowns = [{ type: GC.Spread.Sheets.DropDownType.timePicker, option: option }]; return timePickerStyle; } function initSpread(spread) { let sheet = spread.getSheet(0); sheet.suspendPaint(); sheet.setText(1, 3, "Time Picker"); sheet.setStyle(2, 3, createPickerStyle({ min: { hour: 8 }, max: { hour: 19 }, step: { minute: 30 }, formatString: "h:mm AM/PM", })); sheet.setText(1, 7, "Time Picker"); sheet.setStyle(2, 7, createPickerStyle({ min: { hour: 5 }, max: { hour: 20 }, step: { minute: 30 }, formatString: "h:mm:ss", height: 350 })); sheet.resumePaint(); spread.commandManager().execute({ cmd: "openTimePicker", row: 2, col: 3, sheetName: "Sheet1" }); } </script> <style scoped> .sample-tutorial { position: relative; height: 100%; overflow: hidden; } .sample-spreadsheets { width: 100%; height: 100%; overflow: hidden; float: left; } body { position: absolute; top: 0; bottom: 0; left: 0; right: 0; } </style>
<!DOCTYPE html> <html style="height:100%;font-size:14px;"> <head> <meta charset="utf-8" /> <meta http-equiv="X-UA-Compatible" content="IE=edge" /> <title>SpreadJS VUE</title> <meta name="viewport" content="width=device-width, initial-scale=1.0" /> <link rel="stylesheet" type="text/css" href="$DEMOROOT$/en/vue3/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css"> <script src="$DEMOROOT$/en/vue3/node_modules/systemjs/dist/system.src.js"></script> <script src="./systemjs.config.js"></script> <script src="./compiler.js" type="module"></script> <script> var System = SystemJS; System.import("./src/app.js"); System.import('$DEMOROOT$/en/lib/vue3/license.js'); </script> </head> <body> <div id="app" style="height: 100%;"></div> </body> </html>
(function (global) { SystemJS.config({ transpiler: 'plugin-babel', babelOptions: { es2015: true }, paths: { // paths serve as alias 'npm:': 'node_modules/' }, packageConfigPaths: [ './node_modules/*/package.json', "./node_modules/@mescius/*/package.json", "./node_modules/@babel/*/package.json", "./node_modules/@vue/*/package.json" ], map: { '@mescius/spread-sheets': 'npm:@mescius/spread-sheets/index.js', '@mescius/spread-sheets-io': 'npm:@mescius/spread-sheets-io/index.js', '@mescius/spread-sheets-vue': 'npm:@mescius/spread-sheets-vue/index.js', 'vue': "npm:vue/dist/vue.esm-browser.js", 'tiny-emitter': 'npm:tiny-emitter/index.js', 'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js', "systemjs-babel-build": "npm:systemjs-plugin-babel/systemjs-babel-browser.js", }, meta: { '*.css': { loader: 'systemjs-plugin-css' }, '*.vue': { loader: "../plugin-vue/index.js" } } }); })(this);

TimePicker

TimePicker is a drop-down in SpreadJS that can be defined in JavaScript code with the style properties. This drop-down shows a different selection of times, which the developer specifies in terms of minimum, maximum, and step. This gives developers the ability to add a simple time picker to their workbook, which can be useful for creating user input forms. An example of the two different ways to display the time in the TimePicker are shown in the spreadsheet below.

The demo is being dynamically compiled to support real-time code editing... For quicker access to features, switch to the "JavaScript" tab for a smoother experience! :)
Description
app.jsx
app-func.jsx
app-class.jsx
index.html
styles.css
Copy to CodeMine

Drop-downs provide a developer the ability to add a drop-down menu with specific properties to cells in a workbook. These drop-down menus don't require any extra code other than simply specifying which one to use for the drop-down menu.

SpreadJS has 9 different kinds of drop-downs, and this demo shows how to use the Time Picker.

You can use the Time Picker drop-down with the following code :

    // The way of click the dropdown icon to open TimePicker.     
    var timePickerStyle = new GC.Spread.Sheets.Style();
    timePickerStyle.cellButtons = [
          {
              imageType: GC.Spread.Sheets.ButtonImageType.dropdown,
              command: "openTimePicker",
              useButtonStyle: true,
          }
      ];
      timePickerStyle.dropDowns = [
          {
              type: GC.Spread.Sheets.DropDownType.timePicker,
              option: {
                  min: { hour: 8 },
                  max: { hour: 19 },
                  step: { minute: 30 },
                  formatString: "h:mm AM/PM",
              }
          }
      ];
      sheet.setText(1, 5, "Time Picker");
      sheet.setStyle(2, 5, timePickerStyle);

      // The way just open TimePicker with command rather then clicking the dropdown button.
      spread.commandManager().execute({cmd:"openTimePicker",row:2,col:5,sheetName:"Sheet1"});

There are also some option items for customizing the TimePicker:

  • max: ITimePickerValue : The maximum value the time picker can display, the value needs the hour, minute and second attributes.
  • min: ITimePickerValue : The minimum value the time picker can display, the value needs the hour, minute and second attributes.
  • step: ITimePickerValue : The granularity the time picker can step through values.
  • formatString: string : Specify the format of the time item.
  • height: number : Specify the container of the time picker's size.
Drop-downs provide a developer the ability to add a drop-down menu with specific properties to cells in a workbook. These drop-down menus don't require any extra code other than simply specifying which one to use for the drop-down menu. SpreadJS has 9 different kinds of drop-downs, and this demo shows how to use the Time Picker. You can use the Time Picker drop-down with the following code : There are also some option items for customizing the TimePicker: max: ITimePickerValue : The maximum value the time picker can display, the value needs the hour, minute and second attributes. min: ITimePickerValue : The minimum value the time picker can display, the value needs the hour, minute and second attributes. step: ITimePickerValue : The granularity the time picker can step through values. formatString: string : Specify the format of the time item. height: number : Specify the container of the time picker's size.
import * as React from 'react'; import { createRoot } from 'react-dom/client'; import './styles.css'; import { AppFunc } from './app-func'; // import { App } from './app-class'; // 1. Functional Component sample createRoot(document.getElementById('app')).render(<AppFunc />); // 2. Class Component sample // createRoot(document.getElementById('app')).render(<App />);
import * as React from 'react'; import GC from '@mescius/spread-sheets'; import { SpreadSheets } from '@mescius/spread-sheets-react'; export function AppFunc() { const createPickerStyle = (option) => { let timePickerStyle = new GC.Spread.Sheets.Style(); timePickerStyle.cellButtons = [{ imageType: GC.Spread.Sheets.ButtonImageType.dropdown, command: "openTimePicker", useButtonStyle: true, }]; timePickerStyle.dropDowns = [{ type: GC.Spread.Sheets.DropDownType.timePicker, option: option }]; return timePickerStyle; } const initSpread = (spread) => { let sheet = spread.getSheet(0); sheet.suspendPaint(); sheet.setText(1, 3, "Time Picker"); sheet.setStyle(2, 3, createPickerStyle({ min: { hour: 8 }, max: { hour: 19 }, step: { minute: 30 }, formatString: "h:mm AM/PM", })); sheet.setText(1, 7, "Time Picker"); sheet.setStyle(2, 7, createPickerStyle({ min: { hour: 5 }, max: { hour: 20 }, step: { minute: 30 }, formatString: "h:mm:ss", height: 350 })); sheet.resumePaint(); spread.commandManager().execute({ cmd: "openTimePicker", row: 2, col: 3, sheetName: "Sheet1" }); } return (<div class="sample-tutorial"> <div class="sample-spreadsheets"> <SpreadSheets workbookInitialized={initSpread}> </SpreadSheets> </div> </div>); }
import * as React from 'react'; import GC from '@mescius/spread-sheets'; import { SpreadSheets } from '@mescius/spread-sheets-react'; const Component = React.Component; export class App extends Component { constructor(props) { super(props); this.spread = null; this.autoGenerateColumns = false; } render() { return (<div class="sample-tutorial"> <div class="sample-spreadsheets"> <SpreadSheets workbookInitialized={spread => this.initSpread(spread)}> </SpreadSheets> </div> </div>); } createPickerStyle(option) { let timePickerStyle = new GC.Spread.Sheets.Style(); timePickerStyle.cellButtons = [{ imageType: GC.Spread.Sheets.ButtonImageType.dropdown, command: "openTimePicker", useButtonStyle: true, }]; timePickerStyle.dropDowns = [{ type: GC.Spread.Sheets.DropDownType.timePicker, option: option }]; return timePickerStyle; } initSpread(spread) { let sheet = spread.getSheet(0); sheet.suspendPaint(); sheet.setText(1, 3, "Time Picker"); sheet.setStyle(2, 3, this.createPickerStyle({ min: { hour: 8 }, max: { hour: 19 }, step: { minute: 30 }, formatString: "h:mm AM/PM", })); sheet.setText(1, 7, "Time Picker"); sheet.setStyle(2, 7, this.createPickerStyle({ min: { hour: 5 }, max: { hour: 20 }, step: { minute: 30 }, formatString: "h:mm:ss", height: 350 })); sheet.resumePaint(); spread.commandManager().execute({ cmd: "openTimePicker", row: 2, col: 3, sheetName: "Sheet1" }); } }
<!doctype html> <html style="height:100%;font-size:14px;"> <head> <meta charset="utf-8" /> <meta name="viewport" content="width=device-width, initial-scale=1.0" /> <link rel="stylesheet" type="text/css" href="$DEMOROOT$/en/react/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css"> <!-- SystemJS --> <script src="$DEMOROOT$/en/react/node_modules/systemjs/dist/system.src.js"></script> <script src="systemjs.config.js"></script> <script> System.import('$DEMOROOT$/en/lib/react/license.js').then(function () { System.import('./src/app'); }); </script> </head> <body> <div id="app"></div> </body> </html>
.sample-tutorial { position: relative; height: 100%; overflow: hidden; } .sample-spreadsheets { width: 100%; height: 100%; overflow: hidden; float: left; } body { position: absolute; top: 0; bottom: 0; left: 0; right: 0; } #app { height: 100%; }
(function (global) { System.config({ transpiler: 'plugin-babel', babelOptions: { es2015: true, react: true }, meta: { '*.css': { loader: 'css' } }, paths: { // paths serve as alias 'npm:': 'node_modules/' }, // map tells the System loader where to look for things map: { '@mescius/spread-sheets': 'npm:@mescius/spread-sheets/index.js', '@mescius/spread-sheets-react': 'npm:@mescius/spread-sheets-react/index.js', '@grapecity/jsob-test-dependency-package/react-components': 'npm:@grapecity/jsob-test-dependency-package/react-components/index.js', 'react': 'npm:react/cjs/react.production.js', 'react-dom': 'npm:react-dom/cjs/react-dom.production.js', 'react-dom/client': 'npm:react-dom/cjs/react-dom-client.production.js', 'scheduler': 'npm:scheduler/cjs/scheduler.production.js', 'css': 'npm:systemjs-plugin-css/css.js', 'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js', 'systemjs-babel-build':'npm:systemjs-plugin-babel/systemjs-babel-browser.js' }, // packages tells the System loader how to load when no filename and/or no extension packages: { src: { defaultExtension: 'jsx' }, "node_modules": { defaultExtension: 'js' }, } }); })(this);

Drop-downs provide a developer the ability to add a drop-down menu with specific properties to cells in a workbook. These drop-down menus don't require any extra code other than simply specifying which one to use for the drop-down menu.
SpreadJS has 9 different kinds of drop-downs, and this demo shows how to use the Time Picker.
You can use the Time Picker drop-down with the following code :
There are also some option items for customizing the TimePicker:
max: ITimePickerValue : The maximum value the time picker can display, the value needs the hour, minute and second attributes.
min: ITimePickerValue : The minimum value the time picker can display, the value needs the hour, minute and second attributes.
step: ITimePickerValue : The granularity the time picker can step through values.
formatString: string : Specify the format of the time item.
height: number : Specify the container of the time picker's size.
import { Component, NgModule, enableProdMode } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import { SpreadSheetsModule } from '@mescius/spread-sheets-angular';
import GC from '@mescius/spread-sheets';
import './styles.css';
@Component({
selector: 'app-component',
templateUrl: 'src/app.component.html'
})
export class AppComponent {
hostStyle = {
width: '100%',
height: '100%',
overflow: 'hidden',
float: 'left'
};
constructor() {
}
createPickerStyle(option:object) {
let timePickerStyle = new GC.Spread.Sheets.Style();
timePickerStyle.cellButtons = [{
imageType: GC.Spread.Sheets.ButtonImageType.dropdown,
command: "openTimePicker",
useButtonStyle: true,
}];
timePickerStyle.dropDowns = [{
type: GC.Spread.Sheets.DropDownType.timePicker,
option: option
}];
return timePickerStyle;
}
initSpread($event: any) {
let spread: GC.Spread.Sheets.Workbook = $event.spread;
let sheet = spread.getSheet(0);
sheet.suspendPaint();
sheet.setText(1, 3, "Time Picker");
sheet.setStyle(2, 3, this.createPickerStyle({
min: {
hour: 8
},
max: {
hour: 19
},
step: {
minute: 30
},
formatString: "h:mm AM/PM",
}));
sheet.setText(1, 7, "Time Picker");
sheet.setStyle(2, 7, this.createPickerStyle({
min: {
hour: 5
},
max: {
hour: 20
},
step: {
minute: 30
},
formatString: "h:mm:ss",
height: 350
}));
sheet.resumePaint();
spread.commandManager().execute({
cmd: "openTimePicker",
row: 2,
col: 3,
sheetName: "Sheet1"
});
}
}
@NgModule({
imports: [BrowserModule, SpreadSheetsModule],
declarations: [AppComponent],
exports: [AppComponent],
bootstrap: [AppComponent]
})
export class AppModule { }
enableProdMode();
// Bootstrap application with hash style navigation and global services.
platformBrowserDynamic().bootstrapModule(AppModule);
<!doctype html>
<html style="height:100%;font-size:14px;">
<head>
<meta charset="utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" type="text/css" href="$DEMOROOT$/en/angular/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css">
<!-- Polyfills -->
<script src="$DEMOROOT$/en/angular/node_modules/core-js/client/shim.min.js"></script>
<script src="$DEMOROOT$/en/angular/node_modules/zone.js/fesm2015/zone.min.js"></script>
<!-- SystemJS -->
<script src="$DEMOROOT$/en/angular/node_modules/systemjs/dist/system.js"></script>
<script src="systemjs.config.js"></script>
<script>
// workaround to load 'rxjs/operators' from the rxjs bundle
System.import('rxjs').then(function (m) {
System.import('@angular/compiler');
System.set(SystemJS.resolveSync('rxjs/operators'), System.newModule(m.operators));
System.import('$DEMOROOT$/en/lib/angular/license.ts');
System.import('./src/app.component');
});
</script>
</head>
<body>
<app-component></app-component>
</body>
</html>
<div class="sample-tutorial">
<gc-spread-sheets [hostStyle]="hostStyle" (workbookInitialized)="initSpread($event)">
</gc-spread-sheets>
</div>
.sample-tutorial {
position: relative;
width: 100%;
height: 100%;
overflow: hidden;
}
body {
position: absolute;
top: 0;
bottom: 0;
left: 0;
right: 0;
}
(function (global) {
System.config({
transpiler: 'ts',
typescriptOptions: {
tsconfig: true
},
meta: {
'typescript': {
"exports": "ts"
},
'*.css': { loader: 'css' }
},
paths: {
// paths serve as alias
'npm:': 'node_modules/'
},
// map tells the System loader where to look for things
map: {
'core-js': 'npm:core-js/client/shim.min.js',
'zone': 'npm:zone.js/fesm2015/zone.min.js',
'rxjs': 'npm:rxjs/dist/bundles/rxjs.umd.min.js',
'@angular/core': 'npm:@angular/core/fesm2022',
'@angular/common': 'npm:@angular/common/fesm2022/common.mjs',
'@angular/compiler': 'npm:@angular/compiler/fesm2022/compiler.mjs',
'@angular/platform-browser': 'npm:@angular/platform-browser/fesm2022/platform-browser.mjs',
'@angular/platform-browser-dynamic': 'npm:@angular/platform-browser-dynamic/fesm2022/platform-browser-dynamic.mjs',
'@angular/common/http': 'npm:@angular/common/fesm2022/http.mjs',
'@angular/router': 'npm:@angular/router/fesm2022/router.mjs',
'@angular/forms': 'npm:@angular/forms/fesm2022/forms.mjs',
'jszip': 'npm:jszip/dist/jszip.min.js',
'typescript': 'npm:typescript/lib/typescript.js',
'ts': './plugin.js',
'tslib':'npm:tslib/tslib.js',
'css': 'npm:systemjs-plugin-css/css.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
'systemjs-babel-build':'npm:systemjs-plugin-babel/systemjs-babel-browser.js',
'@mescius/spread-sheets': 'npm:@mescius/spread-sheets/index.js',
'@mescius/spread-sheets-angular': 'npm:@mescius/spread-sheets-angular/fesm2020/mescius-spread-sheets-angular.mjs',
'@grapecity/jsob-test-dependency-package/react-components': 'npm:@grapecity/jsob-test-dependency-package/react-components/index.js'
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
src: {
defaultExtension: 'ts'
},
rxjs: {
defaultExtension: 'js'
},
"node_modules": {
defaultExtension: 'js'
},
"node_modules/@angular": {
defaultExtension: 'mjs'
},
"@mescius/spread-sheets-angular": {
defaultExtension: 'mjs'
},
'@angular/core': {
defaultExtension: 'mjs',
main: 'core.mjs'
}
}
});
})(this);